org.apache.jmeter.gui.action

## Class RevertProject

- java.lang.Object
- - org.apache.jmeter.gui.action.AbstractAction
  - - org.apache.jmeter.gui.action.AbstractActionWithNoRunningTest
    - - org.apache.jmeter.gui.action.RevertProject

- All Implemented Interfaces:
    Command

      public class RevertProject
      extends AbstractActionWithNoRunningTest

  Handles the Revert Project command.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RevertProject()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `doActionAfterCheck(java.awt.event.ActionEvent e)` Called to handle `ActionEvent` only if no test is running
    `java.util.Set<java.lang.String>` | `getActionNames()`

    - ### Methods inherited from class org.apache.jmeter.gui.action.AbstractActionWithNoRunningTest

      `doAction`

    - ### Methods inherited from class org.apache.jmeter.gui.action.AbstractAction

      `popupCheckExistingFileListener, popupShouldSave`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RevertProject

          public RevertProject()

  - ### Method Detail

    - #### getActionNames

          public java.util.Set<java.lang.String> getActionNames()

    - #### doActionAfterCheck

          public void doActionAfterCheck(java.awt.event.ActionEvent e)

      Description copied from class: `AbstractActionWithNoRunningTest`
      Called to handle `ActionEvent` only if no test is running
      Specified by:
        `doActionAfterCheck` in class `AbstractActionWithNoRunningTest`
      Parameters:
        `e` - `ActionEvent`

Copyright © 1998-2018 Apache Software Foundation. All Rights Reserved.